Name:           perl-Clone
Version:        0.45
Release:        2%{?org_tag}%{?dist}
Summary:        Recursively copy Perl datatypes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Clone/
Source0:        http://www.cpan.org/authors/id/R/RD/RDF/Clone-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(B::COW) >= 0.004
# Run-time:
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Optional tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Hash::Util::FieldHash)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Taint::Runtime)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}


%description
This module provides a clone() method which makes recursive
copies of nested hash, array, scalar and reference types,
including tied variables and objects.

clone() takes a scalar argument and an optional parameter that
can be used to limit the depth of the copy. To duplicate lists,
arrays or hashes, pass them in by reference.

%prep
%setup -q -n Clone-%{version}
find . -type f -exec chmod -c -x {} +

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Clone*
%{_mandir}/man3/*

%changelog
* Thu Jan 23 2025 Jean-Philippe Pialasse <jpp@koozali.org> 0.45-2.sme
- import to SME11

* Thu Jan 13 2022 Gavin Carr <gavin@openfusion.net> 0.45-1
- Update to version 0.45.

* Sun Apr 29 2018 Gavin Carr <gavin@openfusion.com.au> 0.39-1
- Update to version 0.39.

* Mon Feb 07 2011 Gavin Carr <gavin@openfusion.com.au> 0.31-1
- Specfile autogenerated by cpanspec 1.78.
